CatalogChannels
Create listing
Creates a product listing on a channel with its price and returns its ID.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/channels/listings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "channelId": "7204558912004329619", "productId": "7204558912004322039", "price": 89, "compareAtPrice": 99, "syncInventory": true }'{ "id": "7204558912004327491"}